Bug 34710 - FR: *.req: detect more essential reqs (example: lightdm in Sisyphus vs c8.1)
: FR: *.req: detect more essential reqs (example: lightdm in Sisyphus vs c8.1)
Status: NEW
: Sisyphus
(All bugs in Sisyphus/rpm-build)
: unstable
: all Linux
: P3 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2018-03-25 16:40 by
Modified: 2018-03-25 16:40 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2018-03-25 16:40:52
I haven't yet investigated further, but lightdm built for Sisyphus can be
installed in c8.1 without any formal RPM requirements violation, but it
crashes/restarts when starting the user's session (the login screen works
fine). However, the same sources built in c8.1 environment produce a package
that works in c8.1.

It might be desirable to reflect the corresponding difference automatically in
formal RPM reqs.

$ git --no-pager diff -w alt..altM/80C --stat
 lightdm.spec | 25 ++++++++++++++++++++++---
 1 file changed, 22 insertions(+), 3 deletions(-)
$ git --no-pager diff -w alt..altM/80C
diff --git a/lightdm.spec b/lightdm.spec
index f37f293..c87296f 100644
--- a/lightdm.spec
+++ b/lightdm.spec
@@ -7,7 +7,7 @@

 Name: lightdm
 Version: 1.16.7
-Release: alt18
+Release: alt17.M80P.0.M80C.1
 Summary: Lightweight Display Manager
 Group: Graphical desktop/Other
 License: GPLv3+
@@ -158,7 +158,8 @@ sed -i 's,-Werror=pointer-arith,,' configure.ac
     --with-user-session=default \
     --libexecdir=%_libexecdir \
     --with-greeter-user=_ldm \
-    --with-greeter-session=%name-default-greeter
+    --with-greeter-session=%name-default-greeter \
+    CXXFLAGS=-std=c++11

 %make_build

@@ -288,6 +289,9 @@ fi
 %_man1dir/dm-tool.*

 %changelog

[imz@team ~]$ compare_packages -a --requires -- $(find -L
/tasks/202815/build/repo/x86_64/RPMS.task/ -type f \! -name '*-debuginfo*') --
$(find -L /tasks/202811/build/repo/x86_64/RPMS.task/ -type f \! -name
'*-debuginfo*') | cat
--- /tmp/.private/imz/compare_packages.GGcQnQpUuq/1    2018-03-25
16:40:13.143743983 +0300
+++ /tmp/.private/imz/compare_packages.GGcQnQpUuq/2    2018-03-25
16:40:13.152743878 +0300
@@ -25,13 +25,13 @@
 PAM(pam_unix.so)  
 coreutils  
 dbus-tools-gui  
-dm-tool = 1.16.7-alt17.M80P.0.M80C.1
+dm-tool = 1.16.7-alt18
 gir(GObject) = 2.0
 gir(Gio) = 2.0
 glib2-devel  
-libQt5Core.so.5()(64bit) >=
set:qjzYc1NWbx8S7gdZAvSzp8coRZbvA4djmZwqKpuEy9cAr61wE83I76oI9INjGX0JsR7OZBE0RtSogQ5shAICm4OFQY5K1eNb7dZJrH6fIniYDYjyZmZJlFVnTP7zbaYYWiuNQ2961YoJ45kJcNSDqCG70eJ4Jj0xVBygVqCjoYIWQN3HLyz68NnHOe57gnQ919VlnuAeKCGgyelxmMipQHK1pysIwHoZJ1X96IlBpBgq0yZbUv4IXe13VMJsv4PZeiV1DT8b3C4YoTEb7wNSC9Pi0
+libQt5Core.so.5()(64bit) >=
set:qjzYc1NWbx8S7gdZAvSzp8coRZbvA4djmZwqKpuEy9cAr61wE83I76oI9INjGX0JsR7OZBE0RtSogQ5shAICm4OFQY5K1eNb7dZJrH6fIniYDYjyZmZJlFVnTP7zbaYYWiuNQ2961YoJ45kJcNSDqCG70eJ4Jj0xVBygVqCjoYIWQxhApw4vJaXks0thD4AAntVhWUqG29Wk5q1bBhLW6A9ON2KyZ77IDoMmlCl2F18SLUv4IXe13VMJsv4PZeiV1DT8b3C4YoTEb7wNSC9Pi0
 libQt5Core.so.5(Qt_5)(64bit)  
-libQt5Core.so.5(Qt_5.6)(64bit)  
+libQt5Core.so.5(Qt_5.9)(64bit)  
 libQt5DBus.so.5()(64bit) >= set:milgMRz0qzTd5uZygW8s81Y88lMGuDuETcYMmf0
 libQt5DBus.so.5(Qt_5)(64bit)  
 libQt5Gui.so.5()(64bit) >= set:qnX4gb8HT3DJd1juylQjmX01
@@ -59,9 +59,9 @@
 libgobject-2.0.so.0()(64bit) >=
set:mg2fghOJZufLgwl5CLs2Clzxfnpvu6kwXiRgoJ5YZF4TTeZcMLyjumYVo76Q0eTnvLHwGwrYrDlY0LM15n1Z85
 libgobject-2.0.so.0()(64bit) >=
set:mgX8sWLyArZdvux0Hacn0XWbBxfR12YQ8ablZzkMZI9QyMZdeZcMLyjumYVo76Q0eTn2lRFJ2G2KNLtmN3ZH5gZaF0gON6
 libgobject-2.0.so.0()(64bit) >= set:ml6W90
-liblightdm-gobject = 1.16.7-alt17.M80P.0.M80C.1
-liblightdm-qt = 1.16.7-alt17.M80P.0.M80C.1
-liblightdm-qt5 = 1.16.7-alt17.M80P.0.M80C.1
+liblightdm-gobject = 1.16.7-alt18
+liblightdm-qt = 1.16.7-alt18
+liblightdm-qt5 = 1.16.7-alt18
 libpam(include)  
 libpam(optional_module)  
 libpam(substack)  
@@ -70,11 +70,12 @@
 libpthread.so.0(GLIBC_2.2.5)(64bit)  
 libqt4-devel  
 libstdc++.so.6(CXXABI_1.3)(64bit)  
+libstdc++.so.6(CXXABI_1.3.9)(64bit)  
 libstdc++.so.6(GLIBCXX_3.4)(64bit)  
 libxcb.so.1()(64bit) >= set:nlWz4sDo8Ehc
 libxklavier.so.16()(64bit) >= set:kg7L0FztMKts1x6ZfFZ4INf0
-lightdm = 1.16.7-alt17.M80P.0.M80C.1
-lightdm-gir = 1.16.7-alt17.M80P.0.M80C.1
+lightdm = 1.16.7-alt18
+lightdm-gir = 1.16.7-alt18
 pam0(common-login)  
 pkgconfig(Qt5Core)  
 pkgconfig(Qt5Gui)  
[imz@team ~]$